Subject: too much of a good thing

From: Philip Blundell <[email-masked]>
Date: Thu, 29 Oct 1998 21:22:45 +0000

I found the cause of my A5000 choking from lack of memory with 2.1 kernels.  
It seems that the buffer code was allocating a vast array of buffer_head 
structures and consuming virtually all the available memory straight away.

Winding `order' in fs/buffer.c (at about line 1740) down from the default 
value to something more reasonable has effected a great improvement. :-)

p.

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]